Whitespace cleanup.

* configure.in: Eliminate subdir stuff.
* configure: Regenerate.
* include/getopt.h (option): Make name field 'const'.
This commit is contained in:
Christopher Faylor 2000-10-28 05:41:44 +00:00
parent ce475802f8
commit 75a57bf04a
45 changed files with 196 additions and 301 deletions

View File

@ -1,3 +1,9 @@
Sat Oct 28 01:39:53 2000 Christopher Faylor <cgf@cygnus.com>
* configure.in: Eliminate subdir stuff.
* configure: Regenerate.
* include/getopt.h (option): Make name field 'const'.
Fri Oct 27 20:51:00 2000 Corinna Vinschen <corinna@vinschen.de>
* autoload.cc: New file keeping all autoload stuff.

View File

@ -1631,10 +1631,8 @@ EOF
fi
subdirs="utils doc"
echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
echo "configure:1638: checking whether ${MAKE-make} sets \${MAKE}" >&5
echo "configure:1636: checking whether ${MAKE-make} sets \${MAKE}" >&5
set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
echo $ac_n "(cached) $ac_c" 1>&6
@ -1671,7 +1669,7 @@ ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftes
cross_compiling=$ac_cv_prog_cxx_cross
cat > conftest.$ac_ext <<EOF
#line 1675 "configure"
#line 1673 "configure"
#include "confdefs.h"
#include <string.h>
@ -1684,7 +1682,7 @@ int main() {
; return 0; }
EOF
if { (eval echo configure:1688: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
if { (eval echo configure:1686: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
rm -rf conftest*
use_builtin_memset=yes
else
@ -1794,7 +1792,7 @@ fi
echo $ac_n "checking if newlib is part of the build tree""... $ac_c" 1>&6
echo "configure:1798: checking if newlib is part of the build tree" >&5
echo "configure:1796: checking if newlib is part of the build tree" >&5
EXE_LDFLAGS=
if test -d ../newlib
@ -1809,9 +1807,9 @@ fi
if test x"$EXE_LDFLAGS" = x
then
echo $ac_n "checking if installed newlib needed""... $ac_c" 1>&6
echo "configure:1813: checking if installed newlib needed" >&5
echo "configure:1811: checking if installed newlib needed" >&5
cat > conftest.$ac_ext <<EOF
#line 1815 "configure"
#line 1813 "configure"
#include "confdefs.h"
int main() {
@ -1819,7 +1817,7 @@ int main() {
; return 0; }
EOF
if { (eval echo configure:1823: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
if { (eval echo configure:1821: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
rm -rf conftest*
echo "$ac_t""no" 1>&6
@ -2012,7 +2010,6 @@ s%@DLLTOOL@%$DLLTOOL%g
s%@WINDRES@%$WINDRES%g
s%@CPP@%$CPP%g
s%@ALLOCA@%$ALLOCA%g
s%@subdirs@%$subdirs%g
s%@SET_MAKE@%$SET_MAKE%g
s%@MT_SAFE@%$MT_SAFE%g
s%@PTH_ALLOW@%$PTH_ALLOW%g
@ -2239,101 +2236,4 @@ chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
if test "$no_recursion" != yes; then
# Remove --cache-file and --srcdir arguments so they do not pile up.
ac_sub_configure_args=
ac_prev=
for ac_arg in $ac_configure_args; do
if test -n "$ac_prev"; then
ac_prev=
continue
fi
case "$ac_arg" in
-cache-file | --cache-file | --cache-fil | --cache-fi \
| --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
ac_prev=cache_file ;;
-cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
| --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
;;
-srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
ac_prev=srcdir ;;
-srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
;;
*) ac_sub_configure_args="$ac_sub_configure_args $ac_arg" ;;
esac
done
for ac_config_dir in utils doc; do
# Do not complain, so a configure script can configure whichever
# parts of a large source tree are present.
if test ! -d $srcdir/$ac_config_dir; then
continue
fi
echo configuring in $ac_config_dir
case "$srcdir" in
.) ;;
*)
if test -d ./$ac_config_dir || mkdir ./$ac_config_dir; then :;
else
{ echo "configure: error: can not create `pwd`/$ac_config_dir" 1>&2; exit 1; }
fi
;;
esac
ac_popdir=`pwd`
cd $ac_config_dir
# A "../" for each directory in /$ac_config_dir.
ac_dots=`echo $ac_config_dir|sed -e 's%^\./%%' -e 's%[^/]$%&/%' -e 's%[^/]*/%../%g'`
case "$srcdir" in
.) # No --srcdir option. We are building in place.
ac_sub_srcdir=$srcdir ;;
/*) # Absolute path.
ac_sub_srcdir=$srcdir/$ac_config_dir ;;
*) # Relative path.
ac_sub_srcdir=$ac_dots$srcdir/$ac_config_dir ;;
esac
# Check for guested configure; otherwise get Cygnus style configure.
if test -f $ac_sub_srcdir/configure; then
ac_sub_configure=$ac_sub_srcdir/configure
elif test -f $ac_sub_srcdir/configure.in; then
ac_sub_configure=$ac_configure
else
echo "configure: warning: no configuration information is in $ac_config_dir" 1>&2
ac_sub_configure=
fi
# The recursion is here.
if test -n "$ac_sub_configure"; then
# Make the cache file name correct relative to the subdirectory.
case "$cache_file" in
/*) ac_sub_cache_file=$cache_file ;;
*) # Relative path.
ac_sub_cache_file="$ac_dots$cache_file" ;;
esac
case "$ac_given_INSTALL" in
[/$]*) INSTALL="$ac_given_INSTALL" ;;
*) INSTALL="$ac_dots$ac_given_INSTALL" ;;
esac
echo "running ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir"
# The eval makes quoting arguments work.
if eval ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir
then :
else
{ echo "configure: error: $ac_sub_configure failed for $ac_config_dir" 1>&2; exit 1; }
fi
fi
cd $ac_popdir
done
fi

View File

@ -88,7 +88,6 @@ AC_CHECK_TOOL(WINDRES, windres, windres)
dnl C_SUBST(WINDRES)
AC_ALLOCA
AC_CONFIG_SUBDIRS(utils doc)
AC_PROG_MAKE_SET
dnl check whether gcc supports __builtin_memset.

View File

@ -1,9 +1,6 @@
/*
* cygwin/mtio.h header file for Cygwin.
*
* Original written by H. Bergman for Linux.
* Changed for Cygwin by C. Vinschen.
*/
/* cygwin/mtio.h header file for Cygwin.
by C. Vinschen. */
#ifndef _CYGWIN_MTIO_H
#define _CYGWIN_MTIO_H

View File

@ -39,9 +39,9 @@ extern "C" {
#endif
struct option {
char * name;
const char *name;
int has_arg;
int * flag;
int *flag;
int val;
};

View File

@ -1,7 +1,4 @@
/*
* sys/mtio.h header file for Cygwin.
*
*/
/* sys/mtio.h header file for Cygwin. */
#ifndef _SYS_MTIO_H
#define _SYS_MTIO_H

View File

@ -1,7 +1,4 @@
/*
* sys/procfs.h header file for Cygwin.
*
*/
/* sys/procfs.h header file for Cygwin. */
#ifndef _SYS_PROCFS_H
#define _SYS_PROCFS_H

View File

@ -7,4 +7,3 @@
#define isleap(y) (((y) % 4) == 0 && ((y) % 100) != 0 || ((y) % 400) == 0)
#endif